### Method

# Tsparql Resource get_values

#### Declaration [src]

    GList*
    tracker_resource_get_values (
      TrackerResource* self,
      const char* property_uri
    )

#### Description [src]

Returns the list of all known values of the given property.

#### Parameters

`property_uri`

  Type: `const char*`

  A string identifying the property to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `const GValue*`

A `GList` of `GValue` instances. The list should be freed with `g_list_free()`.

The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.